Name: ca_IRAN-GRID-G2
Version: 1.65
Release: 1
Source: ca_IRAN-GRID-G2-1.65.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_IRAN-GRID-G2-1.65/ee4dd5a3.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority IRAN-GRID-G2

%if %([ -n "http://cagrid.ipm.ac.ir/" ] && echo 1 || echo 0)
URL: http://cagrid.ipm.ac.ir/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_IRAN-GRID-G2-1.65

%description
This is the trust anchor for the classic accredited authority IRAN-GRID-G2.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

